Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.inst2xsd
Class RussianDollStrategy

    java.lang.Object
      org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy

All Implemented Interfaces:
  XsdGenStrategy

Direct Known Subclasses:
  SalamiSliceStrategy, VenetianBlindStrategy

    public class RussianDollStrategy

extends java.lang.Object
implements XsdGenStrategy

Author:
  Cezar Andrei ( cezar.andrei at bea.com ) Date: Jul 26, 2004

Nested Class Summary
`protected class` | `RussianDollStrategy.SCTValidationContext`

Constructor Summary
`RussianDollStrategy()`

Method Summary
`protected Element` | `addGlobalElement(Element withElem, TypeSystemHolder typeSystemHolder, Inst2XsdOptions options)`
`protected void` | `checkIfAttributeReferenceIsNeeded(Attribute attribute, java.lang.String parentNamespace, TypeSystemHolder typeSystemHolder)`
`protected void` | `checkIfElementReferenceIsNeeded(Element child, java.lang.String parentNamespace, TypeSystemHolder typeSystemHolder, Inst2XsdOptions options)`
`protected void` | `checkIfReferenceToGlobalTypeIsNeeded(Element elem, TypeSystemHolder typeSystemHolder, Inst2XsdOptions options)`
`protected void` | `combineAttributesOfTypes(Type into, Type from)`
`protected void` | `combineElementComments(Element into, Element with)`
`protected void` | `combineElementsOfTypes(Type into, Type from, boolean makeElementsOptional, Inst2XsdOptions options)`
`protected void` | `combineSimpleTypes(Type into, Type with, Inst2XsdOptions options)`
`protected javax.xml.namespace.QName` | `combineToMoreGeneralSimpleType(javax.xml.namespace.QName t1, javax.xml.namespace.QName t2)`
`protected void` | `combineTypes(Type into, Type with, Inst2XsdOptions options)`
`protected Attribute` | `processAttribute(XmlCursor xc, Inst2XsdOptions options, java.lang.String parentNamespace, TypeSystemHolder typeSystemHolder)`
`protected void` | `processAttributesInComplexType(Type elemType, java.util.List attributes)`
`void` | `processDoc(XmlObject[] instances, Inst2XsdOptions options, TypeSystemHolder typeSystemHolder)`
`protected Element` | `processElement(XmlCursor xc, java.lang.String comment, Inst2XsdOptions options, TypeSystemHolder typeSystemHolder)`
`protected void` | `processElementsInComplexType(Type elemType, java.util.List children, java.lang.String parentNamespace, TypeSystemHolder typeSystemHolder, Inst2XsdOptions options)`
`protected javax.xml.namespace.QName` | `processSimpleContentType(java.lang.String lexicalValue, Inst2XsdOptions options, XmlCursor xc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianDollStrategy

    public RussianDollStrategy()

Method Detail

### processDoc

    public void processDoc(XmlObject[] instances,
                           Inst2XsdOptions options,
                           TypeSystemHolder typeSystemHolder)

  Specified by:
    `processDoc` in interface `XsdGenStrategy`

### addGlobalElement

    protected Element addGlobalElement(Element withElem,
                                       TypeSystemHolder typeSystemHolder,
                                       Inst2XsdOptions options)

### processElement

    protected Element processElement(XmlCursor xc,
                                     java.lang.String comment,
                                     Inst2XsdOptions options,
                                     TypeSystemHolder typeSystemHolder)

### processElementsInComplexType

    protected void processElementsInComplexType(Type elemType,
                                                java.util.List children,
                                                java.lang.String parentNamespace,
                                                TypeSystemHolder typeSystemHolder,
                                                Inst2XsdOptions options)

### checkIfElementReferenceIsNeeded

    protected void checkIfElementReferenceIsNeeded(Element child,
                                                   java.lang.String parentNamespace,
                                                   TypeSystemHolder typeSystemHolder,
                                                   Inst2XsdOptions options)

### checkIfReferenceToGlobalTypeIsNeeded

    protected void checkIfReferenceToGlobalTypeIsNeeded(Element elem,
                                                        TypeSystemHolder typeSystemHolder,
                                                        Inst2XsdOptions options)

### processAttributesInComplexType

    protected void processAttributesInComplexType(Type elemType,
                                                  java.util.List attributes)

### processAttribute

    protected Attribute processAttribute(XmlCursor xc,
                                         Inst2XsdOptions options,
                                         java.lang.String parentNamespace,
                                         TypeSystemHolder typeSystemHolder)

### checkIfAttributeReferenceIsNeeded

    protected void checkIfAttributeReferenceIsNeeded(Attribute attribute,
                                                     java.lang.String parentNamespace,
                                                     TypeSystemHolder typeSystemHolder)

### processSimpleContentType

    protected javax.xml.namespace.QName processSimpleContentType(java.lang.String lexicalValue,
                                                                 Inst2XsdOptions options,
                                                                 XmlCursor xc)

### combineTypes

    protected void combineTypes(Type into,
                                Type with,
                                Inst2XsdOptions options)

### combineSimpleTypes

    protected void combineSimpleTypes(Type into,
                                      Type with,
                                      Inst2XsdOptions options)

### combineToMoreGeneralSimpleType

    protected javax.xml.namespace.QName combineToMoreGeneralSimpleType(javax.xml.namespace.QName t1,
                                                                       javax.xml.namespace.QName t2)

### combineAttributesOfTypes

    protected void combineAttributesOfTypes(Type into,
                                            Type from)

### combineElementsOfTypes

    protected void combineElementsOfTypes(Type into,
                                          Type from,
                                          boolean makeElementsOptional,
                                          Inst2XsdOptions options)

### combineElementComments

    protected void combineElementComments(Element into,
                                          Element with)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD